Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594054 - [5.5] SFQ qdisc crashes with limit of 2 packets [rhel-5.5.z]
Summary: [5.5] SFQ qdisc crashes with limit of 2 packets [rhel-5.5.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 12:59 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When an SFQ (Stochastic Fair Queuing) qdisc that limited the queue size to two packets was added to a network interface (for example, via "tc qdisc add"), sending traffic through that interface resulted in a kernel crash. With this update, such a qdisc no longer results in a kernel crash when sending traffic.
Clone Of:
Environment:
Last Closed: 2010-07-01 18:30:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 18:26:58 UTC

Description RHEL Product and Program Management 2010-05-20 12:59:08 UTC
This bug has been copied from bug #579774 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Jiri Pirko 2010-06-02 11:11:16 UTC
in 2.6.18-194.5.1.el5

Comment 7 Douglas Silas 2010-06-28 20:22:45 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When an SFQ (Stochastic Fair Queuing) qdisc that limited the queue size to two packets was added to a network interface (for example, via "tc qdisc add"), sending traffic through that interface resulted in a kernel crash. With this update, such a qdisc no longer results in a kernel crash when sending traffic.

Comment 9 errata-xmlrpc 2010-07-01 18:30:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html


Note You need to log in before you can comment on or make changes to this bug.